
Foreman - Refactor #37385

Drop check_all_roles and uncheck_all_roles event handlers

04/25/2024 12:42 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10141

  

Description

In acfbc45886c4d81a2a3ca5af433a6124a0a7191a the links with these IDs were removed, but the JavaScript handler remained. I

can't find other traces of its usage. Originally added in feacea35f07f362d9e2c694a83516bbc902321a0.

Associated revisions

Revision 7579d508 - 04/26/2024 03:33 PM - Ewoud Kohl van Wijngaarden

Fixes #37385 - Drop (un)check_all_roles event handlers

In acfbc45886c4d81a2a3ca5af433a6124a0a7191a the links with these IDs

were removed, but the JavaScript handler remained. I can't find other

traces of its usage. Originally added in

feacea35f07f362d9e2c694a83516bbc902321a0.

Fixes: acfbc45886c4 ("fixes #812 - new permissions model, user group role and nest support, role filters for better granularity")

History

#1 - 04/25/2024 12:43 PM - Ewoud Kohl van Wijngaarden

- Description updated

#2 - 04/25/2024 12:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/10141 added

#3 - 04/26/2024 03:33 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#4 - 04/26/2024 04:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7579d508bbf8a8f8e61ca244c2379dff2307bb5a.
